Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Newer
Older
100644 61 lines (46 sloc) 1.024 kb
ba57575 Remove references to ActionDispatch::Routing::Routes in favor of Rail…
Carl Lerche authored
1 source 'http://rubygems.org'
9f01dff Get rails tests running on bundler 0.9
Carl Lerche authored
2
13df581 @tenderlove using AREL from the environment if it exists
tenderlove authored
3 if ENV['AREL']
4 gem "arel", :path => ENV['AREL']
5 else
6 gem "arel", :git => "git://github.com/rails/arel.git"
7 end
8
6690d66 @josevalim Rename config.cookie_secret to config.secret_token and pass it as con…
josevalim authored
9 gem "rails", :path => File.dirname(__FILE__)
9f01dff Get rails tests running on bundler 0.9
Carl Lerche authored
10
11 gem "rake", ">= 0.8.7"
a584b4c @jeremy Get rack from rails/rack.git. Introduce ci-only deps.
jeremy authored
12 gem "mocha", ">= 0.9.8"
2944a79 @fxn bump required RDoc to >= 2.5.9, and replace the 2.2 horo.rb with Aaro…
fxn authored
13 gem "rdoc", ">= 2.5.9"
14 gem "horo"
a584b4c @jeremy Get rack from rails/rack.git. Introduce ci-only deps.
jeremy authored
15
2c4fcec @spastorino Gemfile now makes use of platforms calls with blocks instead of elsif…
spastorino authored
16 # AS
17 gem "memcache-client", ">= 1.8.5"
18
19 # AM
20 gem "text-format", "~> 1.0.0"
21
22 platforms :mri_18 do
61001e7 @spastorino group :mri deleted in favor of RUBY_ENGINE and RUBY_VERSION usage.
spastorino authored
23 gem "system_timer"
24 gem "ruby-debug", ">= 0.10.3"
25 end
26
2c4fcec @spastorino Gemfile now makes use of platforms calls with blocks instead of elsif…
spastorino authored
27 platforms :ruby do
2218493 @jeremy Bundle json and yajl-ruby gems for AS::JSON testing
jeremy authored
28 gem 'json'
29 gem 'yajl-ruby'
fcb2301 @spastorino Bump up nokogiri, memcache-client, sqlite3-ruby, fcgi, mail and tzinfo
spastorino authored
30 gem "nokogiri", ">= 1.4.2"
5714438 @spastorino Unforce memcache from AS
spastorino authored
31
2c4fcec @spastorino Gemfile now makes use of platforms calls with blocks instead of elsif…
spastorino authored
32 # AR
fcb2301 @spastorino Bump up nokogiri, memcache-client, sqlite3-ruby, fcgi, mail and tzinfo
spastorino authored
33 gem "sqlite3-ruby", "~> 1.3.1", :require => 'sqlite3'
c0db784 @nicksieger More accurate JRuby gem requirements
nicksieger authored
34
35 group :db do
e50bf67 @josevalim Bring pg back.
josevalim authored
36 gem "pg", ">= 0.9.0"
c0db784 @nicksieger More accurate JRuby gem requirements
nicksieger authored
37 gem "mysql", ">= 2.8.1"
38 end
2c4fcec @spastorino Gemfile now makes use of platforms calls with blocks instead of elsif…
spastorino authored
39 end
40
41 platforms :jruby do
42 gem "system_timer"
43 gem "ruby-debug", ">= 0.10.3"
44
c0db784 @nicksieger More accurate JRuby gem requirements
nicksieger authored
45 gem "activerecord-jdbcsqlite3-adapter"
7789663 Put MySQL and Postgres in an :only block so you can gem bundle --only…
Yehuda Katz authored
46
c0db784 @nicksieger More accurate JRuby gem requirements
nicksieger authored
47 group :db do
48 gem "activerecord-jdbcmysql-adapter"
49 gem "activerecord-jdbcpostgresql-adapter"
50 end
7789663 Put MySQL and Postgres in an :only block so you can gem bundle --only…
Yehuda Katz authored
51 end
a584b4c @jeremy Get rack from rails/rack.git. Introduce ci-only deps.
jeremy authored
52
2c4fcec @spastorino Gemfile now makes use of platforms calls with blocks instead of elsif…
spastorino authored
53 env 'CI' do
fcb2301 @spastorino Bump up nokogiri, memcache-client, sqlite3-ruby, fcgi, mail and tzinfo
spastorino authored
54 gem "nokogiri", ">= 1.4.2"
f14eb68 @jeremy CI: bundle test-unit on 1.9
jeremy authored
55
2c4fcec @spastorino Gemfile now makes use of platforms calls with blocks instead of elsif…
spastorino authored
56 platforms :ruby_18 do
57 # fcgi gem doesn't compile on 1.9
58 gem "fcgi", ">= 0.8.8"
59 end
a584b4c @jeremy Get rack from rails/rack.git. Introduce ci-only deps.
jeremy authored
60 end
Something went wrong with that request. Please try again.